Summary: ASN.1 parsing library
Name:    libtasn1
Version: 4.19.0
Release: 2%{?dist}
License: GPLv3+ and LGPLv2+
URL:     http://www.gnu.org/software/libtasn1/
Source0: http://ftp.gnu.org/gnu/libtasn1/%{name}-%{version}.tar.gz

Patch3000: libtasn1-3.4-rpath.patch

BuildRequires: gcc autoconf make automake libtool
BuildRequires: pkgconfig help2man valgrind-devel gtk-doc

%description
libtasn1 is the ASN.1 library used by GnuTLS, p11-kit and some 
other packages, it is a highly portable C library that encodes 
and decodes DER/BER data following an ASN.1 schema.

%package devel
Summary:  Development files for libtasn1
Requires: libtasn1 = %{version}-%{release}
Requires: libtasn1-tools = %{version}-%{release}
Requires: pkgconfig

%description devel
Development libraries and header files for using libtasn1.

%package tools
Summary:  Some ASN.1 tools
License:  GPLv3+
Requires: libtasn1 = %{version}-%{release}

%description tools
This package contains simple tools that can decode and encode ASN.1 data.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_infodir}/dir

%check
make check

%files
%license COPYING doc/COPYING*
%doc AUTHORS NEWS README.md
%{_libdir}/*.so.6*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_infodir}/*.info.*
%{_mandir}/man3/*asn1*

%files tools
%{_bindir}/asn1*
%{_mandir}/man1/asn1*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.19.0-2
- Rebuilt for loongarch release

* Tue Sep 19 2023 kianli <kianli@tencent.com> - 4.19.0-1
- Upgrade to 4.19.0
- Fixed CVE-2021-46848

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.18.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.18.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.18.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 4 2022 Wang Zhe <bessiewang@tencent.com> - 4.18.0-1
- initial build
